<app-box title="Deployments" [noPadding]="true" [loading]="deployments.loading | async">
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th>Uuid</th>
                <th>Commit</th>
                <th>Started at</th>
                <th>Finished at</th>
                <th>Status</th>
            </tr>
            </thead>
            <tbody *ngIf="(deployments.deployments | async).length else empty">
            <tr *ngFor="let deployment of deployments.deployments | async">
                <td class="short"><a [routerLink]="'/projects/' + project.id + '/deployments/' + deployment.id">{{deployment.id}}</a></td>
                <td class="short">
                    <a [title]="deployment.commit_message" [href]="project.repository_url + '/commit/' + deployment.commit" target="_blank">{{deployment.commit}}</a>
                </td>
                <td>{{deployment.started_at | format}}</td>
                <td>{{deployment.finished_at | format}}</td>
                <td>
                    <span class="label label-{{deployments.getLabelStatus(deployment, true)}}" [innerHTML]="deployments.getLabelStatus(deployment) | safeHtml"></span>
                </td>
            </tr>
            </tbody>
            <ng-template #empty>
                <tbody>
                <tr>
                    <td colspan="5">No Deployments yet.</td>
                </tr>
                </tbody>
            </ng-template>
        </table>
    </div>
</app-box>
